package config

import (
	"os"
)

const (
	swarmKeyFilename = "swarm.key"
	swarmKey         = `/key/swarm/psk/1.0.0/
/base16/
f229ae6c1fc4b43933d235221836c25cfb3961f69294d59989a663043918ced1`
)

func SaveSwarmKey() error {
	f, err := os.Create(IPFSPath() + "/" + swarmKeyFilename)
	if err != nil {
		return err
	}
	defer f.Close()

	if _, err := f.Write([]byte(swarmKey)); err != nil {
		return err
	}

	return nil
}
