#!/bin/bash

set -e

echo "Validate that files exist and that their content is clear text"

echo "Cellar store contents:"
ls -R ~/.cellar/files

CATOK=$(cat $HOME/.cellar/files/level1/in1.txt)
if [ "in1" != "$CATOK" ]
then
  echo "ERROR: file should not be encrypted."
  exit
fi

CATOK=$(cat $HOME/.cellar/files/level1/level2/in2.txt)
if [ "in2" != "$CATOK" ]
then
  echo "ERROR: file should not be encrypted."
  exit
fi

CATOK=$(cat $HOME/.cellar/files/level1/level2/level3/in3.txt)
if [ "in3" != "$CATOK" ]
then
  echo "ERROR: file should not be encrypted."
  exit
fi

echo "OK"