package service

import (
	"github.com/marc-gr/cellar"
	"github.com/spf13/cobra"
)

func ShutdownCommand() *cobra.Command {
	return &cobra.Command{
		Use:   "shutdown",
		Short: "shutdown shuts down running cellar instances.",
		Long:  `shutdown shuts down running cellar instances.`,
		Run: func(cmd *cobra.Command, args []string) {
			if err := cellar.Shutdown(); err != nil {
				cmd.PrintErr(err)
			}
		},
	}
}
